export function groupBy<T>(array: T[], f: (item: T) => string) {
	return array.reduce((groups, item) => {
		const group = f(item);
		groups[group] = groups[group] || [];
		groups[group].push(item);
		return groups;
	}, {} as Record<string, T[]>);
}
